Detail Info


Delusion ESP

Do you want to have anything if you can use the ESP? Please try a taste of Esper mood alone in the LINE using the delusion Kung


  • System requirements

    LINE for iOS or Android version 3.1.1 or higher, LINE Lite for Android version 1.7.5 or higher, or LINE for Windows Phone version 2.7 or higher is required.

Click a sticker for a preview.